Wt: Wt::Dbo::SqlConnectionPool Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::Dbo::SqlConnectionPool Class Reference
Database Objects (Wt::Dbo)

Abstract base class for a SQL connection pool. More...

`#include <Wt/Dbo/SqlConnectionPool>`

Inheritance diagram for Wt::Dbo::SqlConnectionPool:
[legend]

List of all members.

## Public Member Functions
virtual | ~SqlConnectionPool ()
| Destructor.
virtual SqlConnection * | getConnection ()=0
| Uses a connection from the pool.
virtual void | returnConnection (SqlConnection *)=0
| Returns a connection to the pool.
virtual void | prepareForDropTables () const =0
| Prepares all connections in the pool for dropping the tables.

## Detailed Description

Abstract base class for a SQL connection pool.

An sql connection pool manages a pool of connections. It is shared between multiple sessions to allow these sessions to use a connection while handling a transaction. Note that a session only needs a connection while in-transaction, and thus you only need as much connections as the number of concurrent transactions.

## Member Function Documentation

virtual SqlConnection* Wt::Dbo::SqlConnectionPool::getConnection | ( |  | ) | `[pure virtual]`

Uses a connection from the pool.

This returns a connection from the pool that can be used. If the pool has no more connection available, the pool may decide to grow or block until a connection is returned.

This method is called by a Session when a new transaction is started.

Implemented in Wt::Dbo::FixedSqlConnectionPool.

virtual void Wt::Dbo::SqlConnectionPool::returnConnection | ( | SqlConnection * |  | ) | `[pure virtual]`

Returns a connection to the pool.

This returns a connection to the pool. This method is called by a Session after a transaction has been finished.

Implemented in Wt::Dbo::FixedSqlConnectionPool.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator